Merge branch 'master' into 'master'

Merge plenty small changes + icecat bump

See merge request src_prepare/src_prepare-overlay!200
This commit is contained in:
Parona 2021-07-26 01:30:33 +00:00
commit 12d5fe0913
32 changed files with 314 additions and 182 deletions

View File

@ -53,7 +53,12 @@ src_prepare() {
fi
sed -i \
"s:^\(conf.set('PYTHON',\).*$:\1 '/usr/bin/${EPYTHON}'):" \
"${S}/src/meson.build"
"${S}/src/meson.build" || die
# Hard skip network dependant test
sed -i \
"s:\(if appstream\_util\.found()\):\1 and false:" \
"${S}/data/meson.build" || die
}
src_install() {

View File

@ -53,7 +53,12 @@ src_prepare() {
fi
sed -i \
"s:^\(conf.set('PYTHON',\).*$:\1 '/usr/bin/${EPYTHON}'):" \
"${S}/src/meson.build"
"${S}/src/meson.build" || die
# Hard skip network dependant test
sed -i \
"s:\(if appstream\_util\.found()\):\1 and false:" \
"${S}/data/meson.build" || die
}
src_install() {

View File

@ -1,8 +1,9 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
# 29.6.2021: 3.10 blocked by aiohttps and pbr
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
@ -14,26 +15,30 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"
# Tests hard depend on internet access
RESTRICT="test"
#RESTRICT="!test? ( test )"
# All tests require internet access
PROPERTIES="test_network"
RESTRICT="
test
!test? ( test )
"
RDEPEND="
dev-python/aiohttp[${PYTHON_USEDEP}]
"
#DEPEND="
# test? (
# ${RDEPEND}
# dev-python/ddt[${PYTHON_USEDEP}]
# dev-python/pytest-cov[${PYTHON_USEDEP}]
# )
#"
DEPEND="
test? (
${RDEPEND}
dev-python/ddt[${PYTHON_USEDEP}]
dev-python/pytest-cov[${PYTHON_USEDEP}]
)
"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx )
"
#distutils_enable_tests pytest
distutils_enable_tests pytest
python_compile_all() {
use doc && emake -C docs -j1 html

View File

@ -1,9 +1,9 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="An aspect-oriented programming, monkey-patch and decorators library."
@ -31,7 +31,10 @@ BDEPEND="
distutils_enable_tests pytest
PATCHES=( "${FILESDIR}/Remove-tornado-6-test-constraint.patch" )
PATCHES=(
"${FILESDIR}/Fix-tests-for-python3_10.patch"
"${FILESDIR}/Remove-tornado-6-test-constraint.patch"
)
python_compile_all() {
if use doc; then

View File

@ -0,0 +1,68 @@
diff --git a/src/aspectlib/__init__.py b/src/aspectlib/__init__.py
index b85f1dd..b7d0f70 100644
--- a/src/aspectlib/__init__.py
+++ b/src/aspectlib/__init__.py
@@ -18,6 +18,7 @@ from logging import getLogger
from .utils import PY2
from .utils import PY3
from .utils import PY37plus
+from .utils import PY310
from .utils import Sentinel
from .utils import basestring
from .utils import force_bind
diff --git a/src/aspectlib/utils.py b/src/aspectlib/utils.py
index 9e0837e..b08f2d6 100644
--- a/src/aspectlib/utils.py
+++ b/src/aspectlib/utils.py
@@ -13,6 +13,7 @@ RegexType = type(re.compile(""))
PY3 = sys.version_info[0] == 3
PY37plus = PY3 and sys.version_info[1] >= 7
+PY310 = PY3 and sys.version_info[1] == 10
PY2 = sys.version_info[0] == 2
PY26 = PY2 and sys.version_info[1] == 6
PYPY = platform.python_implementation() == 'PyPy'
diff --git a/tests/test_aspectlib_test.py b/tests/test_aspectlib_test.py
index 05e2c25..37fe8e8 100644
--- a/tests/test_aspectlib_test.py
+++ b/tests/test_aspectlib_test.py
@@ -4,6 +4,7 @@ from pytest import raises
from test_pkg1.test_pkg2 import test_mod
from aspectlib import PY2
+from aspectlib import PY310
from aspectlib.test import OrderedDict
from aspectlib.test import Story
from aspectlib.test import StoryResultWrapper
@@ -414,6 +415,7 @@ def test_story_empty_play_proxy_class():
(('stuff_1', 'mix', "'a', 'b'", ''), _Returns("(1, 2, 'a', 'b')")),
(('stuff_1', 'meth', "123", ''), _Raises(repr_ex(TypeError(
'meth() takes exactly 1 argument (2 given)' if PY2 else
+ 'Stuff.meth() takes 1 positional argument but 2 were given' if PY310 else
'meth() takes 1 positional argument but 2 were given'
)))),
((None, 'test_pkg1.test_pkg2.test_mod.Stuff', "0, 1", ''), _Binds('stuff_2')),
@@ -421,6 +423,7 @@ def test_story_empty_play_proxy_class():
(('stuff_2', 'mix', "3, 4", ''), _Returns("(0, 1, 3, 4)")),
(('stuff_2', 'meth', "123", ''), _Raises(repr_ex(TypeError(
'meth() takes exactly 1 argument (2 given)' if PY2 else
+ 'Stuff.meth() takes 1 positional argument but 2 were given' if PY310 else
'meth() takes 1 positional argument but 2 were given'
))))
]))
@@ -449,6 +452,7 @@ def test_story_half_play_proxy_class():
(('stuff_1', 'meth', '', ''), _Returns('None')),
(('stuff_1', 'meth', '123', ''), _Raises(repr_ex(TypeError(
'meth() takes exactly 1 argument (2 given)' if PY2 else
+ 'Stuff.meth() takes 1 positional argument but 2 were given' if PY310 else
'meth() takes 1 positional argument but 2 were given'
)))),
((None, 'test_pkg1.test_pkg2.test_mod.Stuff', '0, 1', ''), _Binds("stuff_2")),
@@ -456,6 +460,7 @@ def test_story_half_play_proxy_class():
(('stuff_2', 'mix', '3, 4', ''), _Returns('(0, 1, 3, 4)')),
(('stuff_2', 'meth', '123', ''), _Raises(repr_ex(TypeError(
'meth() takes exactly 1 argument (2 given)' if PY2 else
+ 'Stuff.meth() takes 1 positional argument but 2 were given' if PY310 else
'meth() takes 1 positional argument but 2 were given'
))))
]))

View File

@ -1 +0,0 @@
DIST blist-1.3.6.tar.gz 143820 BLAKE2B e3166613df87bc53720a29dd3d18656b1148095000d1800df5253d2d7cac0293a5d47576ae5c0268ef4d64bd84c8e7558281cda0325d47b6fdeb01d4122afd58 SHA512 f46ded57aeb2a33fc5450420210d015aa37c2fc91034a771dfb1a184ef2655d8e5dc97bee61139059e6211569fcb7358f972071d3830733e9dbb8908e1b0e14c

View File

@ -1,15 +0,0 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..8} )
inherit distutils-r1
DESCRIPTION="A list-like type"
HOMEPAGE="https://github.com/DanielStutzbach/blist http://stutzbachenterprises.com/blist/"
SRC_URI="https://github.com/DanielStutzbach/blist/archive/v"${PV}".tar.gz -> "${P}".tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"

View File

@ -1,11 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email> parona@protonmail.com </email>
<name> Alfred Wingate </name>
</maintainer>
<longdescription lang="en">
A list-like type with better asymptotic performance and similar performance on small lists
</longdescription>
</pkgmetadata>

View File

@ -1,2 +1 @@
DIST hsluv-5.0.2.tar.gz 540619 BLAKE2B 287774633764fdd8f030a1f447e71ba5e6f99b30219905a8dd2d7632be7e99331244f765da1ded081f6c7250e94e8aa169a30160248221dee18a018118a2955b SHA512 0ad9ccb09412ae27f8ba6a160570b517939615eed19fe50f45a8def8ce99943752703c6c3ad2804d8abbafb680488070b48df50b275ebda742edd71f63ca457e
DIST hsluv-python-5.0.0.tar.gz 540464 BLAKE2B 1358b26195b4868c438eb90c536814008c2a0922bc1c9205f7cc0853b7c471b18d74cd5d67e0ad7185bf8d9baed55a2e58b467ea6477242175e46910fdb3084a SHA512 01f880c5aebbf3c861b7dd593b0b5c215ca2223e24c80b18efa8c5457caab9fdcddae7462964d7f165bdd676022e0958ee9fc91000ae6c44a7faa0fd916a974d

View File

@ -1,15 +0,0 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
inherit distutils-r1
DESCRIPTION="Python implementation of HSLuv "
HOMEPAGE="http://pypi.org/project/hsluv"
SRC_URI="https://github.com/hsluv/hsluv-python/archive/v"${PV}".tar.gz -> "${P}".tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1

View File

@ -1,9 +1,9 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Allowlist-based HTML cleaner"
@ -19,4 +19,6 @@ DEPEND="
dev-python/beautifulsoup:4
"
S=""${WORKDIR}"/html-sanitizer-"${PV}""
S="${WORKDIR}/html-sanitizer-${PV}"
distutils_enable_tests unittest

View File

@ -1,8 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email> parona@protonmail.com </email>
<name> Alfred Wingate </name>
</maintainer>
<maintainer type="person">
<email>parona@protonmail.com</email>
<name>Alfred Wingate</name>
</maintainer>
<upstream>
<remote-id type="github">matthiask/html-sanitizer</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1 +1,2 @@
DIST m2r2-0.2.7.tar.gz 28653 BLAKE2B 374b4db98158b24aca57cef1e75d37af2623e305b45e4a1f84c6126e48116311fd6e5159854605e027a568d668dc04b9408a64c614e1609f6ed32e2e4722df49 SHA512 6b93ca7b564094e2a1e8ae538e00aa1f361dd40496bef1e440bfe152c905c35c6aad5fb9429ef51b5e6b532c73bcce03c1d17ac1f654e4973de885d1fe33bb9b
DIST m2r2-0.2.8.tar.gz 28775 BLAKE2B 57ee1da7853a7b9cd0abca440504f38d1e767ee22be60d509233b4399e83c1be9d5559d4e7bb9c74669880f068ea2207d66e935e59ba22e4c0ebc3ad8c949c2d SHA512 430180e5a01204ba684a588230bca8538557b5300b4ea73c89c94f26d26108fac2e509724d625ecf74bd35f5ebbc8a41ce376acbd8266389c28771295f81b578

View File

@ -0,0 +1,32 @@
From 58ee9cabdadf5e3deb13037f3052238f0f2bffcd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Nikola=20Forr=C3=B3?= <nforro@redhat.com>
Date: Fri, 8 Jan 2021 19:07:21 +0100
Subject: [PATCH] Make TestConvert.test_no_file work with Python 3.10
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
argparse in Python 3.10 now prints "options:" instead of
"optional arguments:", see: https://bugs.python.org/issue9694
Signed-off-by: Nikola Forró <nforro@redhat.com>
---
tests/test_cli.py | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/test_cli.py b/tests/test_cli.py
index e53e209..3828870 100644
--- a/tests/test_cli.py
+++ b/tests/test_cli.py
@@ -58,7 +58,7 @@ class TestConvert(TestCase):
self.assertIn('underscore-emphasis', message)
self.assertIn('anonymous-references', message)
self.assertIn('inline-math', message)
- self.assertIn('optional arguments:', message)
+ self.assertRegex(message, r'option(s|al arguments):')
def test_parse_file(self):
output = parse_from_file(test_md)
--
2.31.1

View File

@ -0,0 +1,33 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10})
inherit distutils-r1
DESCRIPTION="Markdown to reStructuredText converter"
HOMEPAGE="https://crossnox.github.io/m2r2/"
SRC_URI="https://github.com/CrossNox/m2r2/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RDEPEND="
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/mistune[${PYTHON_USEDEP}]
"
DEPEND="
test? (
${RDEPEND}
dev-python/pygments[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
distutils_enable_sphinx docs
PATCHES=( "${FILESDIR}/Make-TestConvert.test_no_file-work-with-Python-3.10.patch" )

View File

@ -1,2 +1,2 @@
DIST matrix-nio-0.18.1.tar.gz 240808 BLAKE2B e4048eb7271ecb0208d766987c8151ad52bf4105dd84aafd12264bdb24165684bdbd5c1740cf595953847aa1280abd2c1c13ed9d96680ec3ea445005a611130e SHA512 46974d52f02cba71df25ee38c41d7bc458b6f8a1cd089cd6e15cb3ea0cfe2e47387ef5c415f2a18a2d01dac8e4d4b378e7aad9f5162371b6f0f40172929962d4
DIST matrix-nio-0.18.2.tar.gz 240893 BLAKE2B 5f366810828fbe06d5d7523f7c6b2d3b2cb7b20cb32577a88609491efda212acafc573dbd2d92bbb1fd4a8784d6dd2c6a82eafa90d23c5b0fdce15822c720be2 SHA512 b53cbc4cfe84340d8bf0bdecf2ea10926f0aaf3a79b3c2dd4adefd15d4ee5328154efe84782f2ed11ca5ddc57b3b3ad61e969519e6e96394c38561335a00cb06
DIST matrix-nio-0.18.3.tar.gz 240965 BLAKE2B 59dc7b7df7ca7ac21b48c1694a730c149d6a0a04e1bc68b3e75fa9278657e44e09eb2fea3a7eb1f56b7bb1c8e7231d649f6908f05ff05acd0566b01d30d8031a SHA512 ca99d4962fbc2f6d82e5b6ea53fcd82d0ed5a3a1c8a21a7ff211bf8892d2b60f72944ae19a41b102cd6473e04eedb614488f2fa2a2fd130ad70078aea2ba9518

View File

@ -1,7 +1,7 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9})
DISTUTILS_USE_SETUPTOOLS="pyproject.toml"
@ -17,11 +17,12 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE="e2e test"
# 30.6.2021: 3.10 blocked by aiohttp{,-socks}, future, logbook, olm, aioresponses, pytest-{aiohttp,benchmark,flake8,isort}
RDEPEND="
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
>=dev-python/aiohttp-socks-0.6.0[${PYTHON_USEDEP}]
>=dev-python/aiofiles-0.6.0[${PYTHON_USEDEP}]
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/h11-0.12.0[${PYTHON_USEDEP}]
>=dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
>=dev-python/logbook-1.5.3[${PYTHON_USEDEP}]
@ -44,10 +45,10 @@ DEPEND="
dev-python/Faker[${PYTHON_USEDEP}]
dev-python/peewee[${PYTHON_USEDEP}]
dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
dev-python/pytest-benchmark[${PYTHON_USEDEP}]
dev-python/pytest-flake8[${PYTHON_USEDEP}]
dev-python/pytest-isort[${PYTHON_USEDEP}]
dev-python/pytest-cov[${PYTHON_USEDEP}]
dev-python/pytest-benchmark[${PYTHON_USEDEP}]
dev-python/hpack[${PYTHON_USEDEP}]
dev-python/hyperframe[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]

View File

@ -1,20 +1,19 @@
# Copyright 2020-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=(python3_{7..9})
PYTHON_COMPAT=(python3_{8..10})
inherit distutils-r1
DESCRIPTION="Read and write Advanced Authoring Format (AAF) files"
HOMEPAGE="http://pyaaf.readthedocs.io/"
SRC_URI="https://github.com/markreidvfx/pyaaf2/archive/v"${PV}".tar.gz -> "${P}".tar.gz"
SRC_URI="https://github.com/markreidvfx/pyaaf2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc test"
DEPEND="
test? (
@ -22,21 +21,12 @@ DEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
)
"
BDEPEND="doc? ( app-misc/sphinx )"
distutils_enable_tests setup.py
python_compile_all() {
use doc && emake -C docs html
}
python_install_all() {
use doc && HTML_DOCS=( docs/build/html/. )
distutils-r1_python_install_all
}
distutils_enable_tests unittest
distutils_enable_sphinx docs/source
python_test() {
# Tests import from tests/common.py which is breaks unless the dir is added to PYTHONPATH
PYTHONPATH="${S}/tests"
epytest
eunittest
}

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1 multiprocessing
@ -20,6 +20,7 @@ KEYWORDS="~amd64"
IUSE="man test"
RESTRICT="!test? ( test )"
# 30.6.2021: 3.10 blocked by cairosvg, pygal_{sphinx_directives,maps_{ch,fr,world}}, pytest-{flake8,isort}
RDEPEND="
dev-python/lxml[${PYTHON_USEDEP}]
media-gfx/cairosvg[${PYTHON_USEDEP}]

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
@ -17,4 +17,5 @@ KEYWORDS="~amd64"
# There are no tests
RESTRICT="test"
# 1.7.2021: 3.10 blocked by pygal
RDEPEND="dev-python/pygal[${PYTHON_USEDEP}]"

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
@ -17,4 +17,5 @@ KEYWORDS="~amd64"
# There are no tests
RESTRICT="test"
# 1.7.2021: 3.10 blocked by pygal
RDEPEND="dev-python/pygal[${PYTHON_USEDEP}]"

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
@ -17,4 +17,5 @@ KEYWORDS="~amd64"
# There are no tests
RESTRICT="test"
# 1.7.2021: 3.10 blocked by pygal
RDEPEND="dev-python/pygal[${PYTHON_USEDEP}]"

View File

@ -1,7 +1,7 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
@ -16,6 +16,7 @@ KEYWORDS="~amd64"
# There are no tests
RESTRICT="test"
# 1.7.2021: 3.10 blocked by pygal
RDEPEND="
dev-python/pygal[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]

View File

@ -1,9 +1,9 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Python package providing assets from pygal.js"

View File

@ -0,0 +1,56 @@
From 0183feb1bf833732233dcfd350db2beb26ed3f79 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ionel=20Cristian=20M=C4=83rie=C8=99?= <contact@ionelmc.ro>
Date: Sun, 6 Jun 2021 15:43:05 +0300
Subject: [PATCH] Fix goofy doctest. Ref #15.
---
tests/reference/foobar.rst | 13 +++++++------
tox.ini | 2 ++
2 files changed, 9 insertions(+), 6 deletions(-)
diff --git a/tests/reference/foobar.rst b/tests/reference/foobar.rst
index 4395458..db641b5 100644
--- a/tests/reference/foobar.rst
+++ b/tests/reference/foobar.rst
@@ -8,13 +8,14 @@
.. sourcecode:: pycon
>>> def fib(n):
- >>> a, b = 0, 1
- >>> while a < n:
- >>> print(a, end=' ')
- >>> a, b = b, a+b
- >>> print()
+ ... a, b = 0, 1
+ ... while a < n:
+ ... print('', a, end='')
+ ... a, b = b, a+b
+ ... print()
+
>>> fib(1000)
- 0 1 1 2 3 5 8 13 21 34 55 89 144 233 377 610 987
+ 0 1 1 2 3 5 8 13 21 34 55 89 144 233 377 610 987
.. sourcecode:: python
diff --git a/tox.ini b/tox.ini
index a865487..b0d333f 100644
--- a/tox.ini
+++ b/tox.ini
@@ -18,11 +18,13 @@ passenv =
deps =
sphinx
ghp-import2
+ pytest
commands =
clean: python -c 'import shutil; shutil.rmtree("dist", True)'
default: sphinx-build {posargs:-E} -b html tests dist/default
bare: sphinx-build {posargs:-E} -b html tests dist/bare
import: ghp-import -n -p -m "Update gh-pages." dist
+ test: pytest -ra
usedevelop = true
[testenv:check]
--
2.31.1

View File

@ -1,67 +0,0 @@
--- a/setup.cfg 2016-12-17 03:51:53.000000000 +0200
+++ b/setup.cfg 2021-05-21 18:12:08.900317387 +0300
@@ -9,37 +9,31 @@
exclude = tests/*,*/migrations/*,*/south_migrations/*
[pytest]
-norecursedirs =
- .git
- .tox
- .env
- dist
- build
- south_migrations
- migrations
-python_files =
- test_*.py
- *_test.py
- tests.py
-addopts =
- -rxEfs
- --strict
- --ignore=docs/conf.py
- --ignore=setup.py
- --ignore=ci
- --doctest-modules
- --doctest-glob=\*.rst
- --tb=short
+norecursedirs =
+ .git
+ .tox
+ .env
+ dist
+ build
+ south_migrations
+ migrations
+python_files =
+ test_*.py
+ *_test.py
+ tests.py
+addopts =
+ -rxEfs
+ --strict
+ --ignore=docs/conf.py
+ --ignore=setup.py
+ --ignore=ci
+ --doctest-modules
+ --doctest-glob=\*.rst
+ --tb=short
[isort]
-force_single_line = True
-line_length = 120
-known_first_party = sphinx_py3doc_enhanced_theme
-default_section = THIRDPARTY
-forced_separate = test_sphinx_py3doc_enhanced_theme
-
-[egg_info]
-tag_build =
-tag_date = 0
-tag_svn_revision = 0
-
+force_single_line=True
+line_length=120
+known_first_party=sphinx_py3doc_enhanced_theme
+default_section=THIRDPARTY
+forced_separate=test_sphinx_py3doc_enhanced_theme
\ No newline at end of file

View File

@ -1,9 +1,9 @@
# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="A theme based on the theme of https://docs.python.org/3/."
@ -13,13 +13,12 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
# TODO: figure out how to fix tests
RESTRICT="test"
distutils_enable_tests pytest
PATCHES=(
"${FILESDIR}/Allow-missing-env-var.patch"
"${FILESDIR}/Fix-goofy-doctest.patch"
"${FILESDIR}/undo-pypi-modification-to-setupcfg.patch"
"${FILESDIR}/backport-for-setupcfg.patch"
)

View File

@ -1,4 +1,4 @@
DIST firefox-78esr-patches-12.tar.xz 67840 BLAKE2B d85abdbb54a252852badac50866cf5b5009c050ec4aa80ae2454eef2719e80f3442f5a74ec58d3c36531539042830427cd85507b708c1d5b36ea44dd0cef60b7 SHA512 4445c0880fc234c3838394483ce986e4e222260a99427069ba9c55b56fcd49a485ec916ee6aa2629f922390e92bfcd78028e30cc2e62fad9bc080ae45b26ba2e
DIST firefox-78esr-patches-14.tar.xz 82976 BLAKE2B 08cc3618c8069f4169b7647e7eb699153d558bb89f8a4f1ed74d5ccd339f77119cd8f253df011f0c2f255ad889b65e843171d7559f469788463ca7e9aa2e96aa SHA512 1611c6f9d2c7d586e7b53810c1cfdb2682f5d289b1b019b71694b1ab2d8bbdfe827a73cfaf59f7e4808c0b90409ca4fa57e27655d8cdf0c578ffdbad33659f26
DIST icecat-78.10.0-gnu1.tar.bz2 513140961 BLAKE2B e008b4bebc6dbec78eecd18c14f37c155c5f883279120584c2a774e1e8fc4a6d1d24369ef1799224ec309fde6f4a8c276cf205eea5ecbfd061bea55a089e6e9b SHA512 682d194c1404b039d60c1916648d319bb428ce5fb3058a8e5989437de7a80d2184aefd69004e22e0a8e639f026df4f6d7445a2cce551d929323b6193cbedad94
DIST firefox-78esr-patches-15.tar.xz 65604 BLAKE2B 86e421e555ffd5f7f201d0f1a1c446c649739c67cdf8dca536efa115e09d9c357ce1551b7270c77e8bfe7dd53e0f3e6386496283879cf5e0c59b3c864951ebb3 SHA512 b229e895f083a0404cda1da0d8ae937429d5975ac52ab20e8b15611d9c737381a1076ebfa8c8a127dacac0e12a2a905ffd579facde2d80c6facc911e5739e34b
DIST icecat-78.11.0-gnu1.tar.bz2 514067936 BLAKE2B 88b0b76a1e08d3c6114d55e3613097e778eeae11d271c722552fd90da51b50c6abf621b11c6ba15702d737510dbd5a72397c1078722dcf149b165435fc349794 SHA512 8969c4c6726364cb96dc9735942e39b1532ef1d591202e098b0a3bd269f12168c7efdd813373fc11e0dada1c6db964794db21ac0f08add6a0cc82daf183e136e
DIST icecat-78.12.0-gnu1.tar.bz2 514309065 BLAKE2B 6b875778692a41efa568d66d35ea6c98dcb93baee6189711ef6b7eff81588508f0ceb78ce7065b3532af8b6a1cd5af9a7e0b42591af5ce7543067ad6393bce27 SHA512 bb7cbe72ced79abc3cbbea35e8ff841a8e79991d17b21fbd0a4d16f7ef7158f923818f9af74a5792d6a36360f3a7b28a884373dbe2a6c32b8016a4a5e023b6bf

View File

@ -6,9 +6,9 @@
EAPI="7"
# Using Gentoos firefox patches as system libraries and lto are quite nice
FIREFOX_PATCHSET="firefox-78esr-patches-12.tar.xz"
FIREFOX_PATCHSET="firefox-78esr-patches-15.tar.xz"
LLVM_MAX_SLOT=11
LLVM_MAX_SLOT=12
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_REQ_USE="ncurses,sqlite,ssl"
@ -17,8 +17,8 @@ WANT_AUTOCONF="2.1"
VIRTUALX_REQUIRED="pgo"
inherit autotools check-reqs desktop flag-o-matic gnome2-utils llvm \
multiprocessing pax-utils python-any-r1 toolchain-funcs \
inherit autotools check-reqs desktop flag-o-matic gnome2-utils linux-info \
llvm multiprocessing pax-utils python-any-r1 toolchain-funcs \
virtualx xdg
PATCH_URIS=(
@ -26,7 +26,7 @@ PATCH_URIS=(
)
SRC_URI="
!buildtarball? ( icecat-"${PV}"-gnu1.tar.bz2 )
!buildtarball? ( icecat-${PV}-gnu1.tar.bz2 )
${PATCH_URIS[@]}
"
@ -54,6 +54,14 @@ BDEPEND="${PYTHON_DEPS}
virtual/pkgconfig
>=virtual/rust-1.41.0
|| (
(
sys-devel/clang:12
sys-devel/llvm:12
clang? (
=sys-devel/lld-12*
pgo? ( =sys-libs/compiler-rt-sanitizers-12*[profile] )
)
)
(
sys-devel/clang:11
sys-devel/llvm:11
@ -79,10 +87,10 @@ BDEPEND="${PYTHON_DEPS}
!system-av1? (
amd64? ( >=dev-lang/nasm-2.13 )
x86? ( >=dev-lang/nasm-2.13 )
)"
)
buildtarball? ( ~www-client/makeicecat-"${PV}"[buildtarball] )"
CDEPEND="
buildtarball? ( ~www-client/makeicecat-"${PV}"[buildtarball] )
>=dev-libs/nss-3.53.1
>=dev-libs/nspr-4.25
dev-libs/atk
@ -164,19 +172,19 @@ S="${WORKDIR}/${PN}-${PV%_*}"
llvm_check_deps() {
if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
einfo "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use clang ; then
if ! has_version -b "=sys-devel/lld-${LLVM_SLOT}*" ; then
ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
einfo "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use pgo ; then
if ! has_version -b "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*" ; then
ewarn "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
einfo "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
fi
@ -457,6 +465,7 @@ pkg_setup() {
# Ensure we use C locale when building, bug #746215
export LC_ALL=C
fi
linux-info_pkg_setup
}
src_unpack() {
@ -568,6 +577,9 @@ src_configure() {
# Initialize MOZCONFIG
mozconfig_add_options_ac '' --enable-application=browser
# Set Gentoo defaults
export MOZILLA_OFFICIAL=1
mozconfig_add_options_ac 'Gentoo default' \
--allow-addon-sideload \
--disable-cargo-incremental \
@ -886,6 +898,12 @@ src_install() {
# Set installDistroAddons to true so that language packs work
cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to set extensions.installDistroAddons pref"
pref("extensions.installDistroAddons", true);
pref("extensions.langpacks.signatures.required", false);
EOF
# Disable signatures for language packs so that unsigned just built language packs work
cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to disable langpacks signatures"
pref("extensions.langpacks.signatures.required", false);
EOF
# Force hwaccel prefs if USE=hwaccel is enabled
@ -905,7 +923,7 @@ src_install() {
# Install language packs
local langpacks=( $(find "${BUILD_DIR}"/dist/linux-x86_64/xpi -type f -name '*.xpi') )
if [[ -n "${langpacks}" ]] ; then
moz_install_xpi "${MOZILLA_FIVE_HOME}/distribution/extensions" "${langpacks[@]}"
moz_install_xpi "${MOZILLA_FIVE_HOME}/browser/extensions" "${langpacks[@]}"
fi
# Install geckodriver
@ -1038,6 +1056,12 @@ pkg_preinst() {
pkg_postinst() {
xdg_pkg_postinst
elog "Cloudflare browser checks are broken with GNU IceCats anti fingerprinting measures."
elog "You can fix cloudflare browser checks by undoing them in about:config like below:"
elog " general.appversion.override: 78.0 (X11)"
elog " general.oscpu.override: Linux x86_64"
elog " general.platform.override: Linux x86_64"
if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
elog "Apulse was detected at merge time on this system and so it will always be"
elog "used for sound. If you wish to use pulseaudio instead please unmerge"

View File

@ -1,3 +1,3 @@
DIST Mozilla_pgp_key-20210507.pgp 23372 BLAKE2B 91eeef4d8f54acc7c43b390c59eea266d6674b83a7eea8850a92aff95ef3fcbd2153ee348a6e0dc01d75c146e148c8d8dd169100114b39fb62b2c703d48276f7 SHA512 7a3fcff9131e49996e2272915ea8c07c8de1625fa732fe97a54500d35411d47d0be3054b2cacdd86c03ce05e524f215993277eadbfa112b5db1bd7be7d2755ca
DIST makeicecat-78.10.0.tar.gz 8005956 BLAKE2B f84f172efac5c38cbbba980f73bbcb3218410950900dd45453eed30dbe3fd253220085f10bd7785fd4c001971a0d3346cdd6c229df69132f6147d2f75a63ccab SHA512 124dc4222d1dcf20e03d050b8fe657be436df5ce7c332c36dc1f5332b52e1221f05e9279866d7eac4872ef3825881b6e2d2067a8c88e96fa094baff6f4631495
DIST makeicecat-78.11.0.tar.gz 8005504 BLAKE2B 66b86b48cce26cf8087d78d7d369325c64f28b8bd92dc5ace284bbba1fdfe9aa9d8e0b82a825ccf45d8c9dae14d634d6a88ace701f7618419775d0a0b1ffe384 SHA512 97e4e1a51387374417d04eb0e46cc4ba6e7ef0188eb05750b3db820857853fec597a81516a83612a085a1e7f9f1fd6f82779deb38488fdf842419c6b774a62e3
DIST makeicecat-78.12.0.tar.gz 8005981 BLAKE2B d8ffb813937b3b96cbdaafbd05a6811fc5ad3beff593ebb5e4f7b154fe456fb2fc79fa30292142b7fdfda75d879a9e26fe0129f4d283a40fc8694777daab58fe SHA512 d2ad6fc9cfb8c0168856b3a4e1f78c51cbc1468ec26bdcf565b332511f19d0284d4c2f2e8ba6957a4f637fd07287432b136710812bce93e8ab236efb15be4223

View File

@ -6,9 +6,12 @@ EAPI=7
DESCRIPTION="Script for creating GNU Icecat tarball"
HOMEPAGE="https://www.gnu.org/software/gnuzilla/"
COMMIT="b72c22186cf381d7b1f93be550c9da30865d03b4"
COMMIT="b1cddc13149014362a984902cc0cbe4fba28cf05"
SRC_URI="https://git.savannah.gnu.org/cgit/gnuzilla.git/snapshot/gnuzilla-"${COMMIT}".tar.gz -> "${P}".tar.gz"
SRC_URI="
https://git.savannah.gnu.org/cgit/gnuzilla.git/snapshot/gnuzilla-"${COMMIT}".tar.gz -> "${P}".tar.gz
https://archive.mozilla.org/pub/firefox/releases/89.0/KEY -> Mozilla_pgp_key-20210507.pgp
"
LICENSE="GPL-3"
SLOT="${PV}"
@ -20,12 +23,19 @@ RESTRICT="buildtarball? ( network-sandbox )"
RDEPEND="${BDEPEND}"
BDEPEND="
app-crypt/gnupg
dev-vcs/mercurial
dev-perl/File-Rename
"
S=""${WORKDIR}"/gnuzilla-"${COMMIT}""
src_prepare() {
default_src_prepare
# Making sure that latest Mozilla public key is available for verying the firefox tarball
gpg --import "${DISTDIR}/Mozilla_pgp_key-20210507.pgp" || die
}
src_compile() {
if use buildtarball; then
./makeicecat || die